Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 02-04-06, 09:25 PM   #1
zbyszek
Registered User
 
Join Date: Apr 2003
Posts: 4
Default Unable to build nvidia module for 2.6.15.1

Hi,

I try to build the driver NVIDIA-Linux-x86-1.0-8178-pkg1 patched with
NVIDIA_kernel-1.0-8178-U012206.diff on my linux box with kernel 2.6.15.1.

It fails pretty quick. I attach my config and nvidia-installer.log

Same thing happens with 2.6.15.2.
I suspect something is wrong with my kernel configuration but it is not obvious what from the logs to me.

Cheers!
zbyszek
Attached Files
File Type: log nvidia-installer.log (3.5 KB, 150 views)
File Type: log config.log (32.9 KB, 124 views)
zbyszek is offline   Reply With Quote
Old 02-04-06, 10:15 PM   #2
BSD
Registered User
 
BSD's Avatar
 
Join Date: Jun 2004
Posts: 81
Default Re: Unable to build nvidia module for 2.6.15.1

I have the same issue, but not caused by the same problem. It says make mrproper in your installer log.
BSD is offline   Reply With Quote
Old 02-05-06, 07:55 AM   #3
pavlinux
Registered User
 
pavlinux's Avatar
 
Join Date: Feb 2006
Location: Moscow, Russia
Posts: 57
Default Re: Unable to build nvidia module for 2.6.15.1

Quote:
Originally Posted by BSD
I have the same issue, but not caused by the same problem. It says make mrproper in your installer log.
cd /usr/src/linux-2.6.15.2
make distclean && make menuconfig && make && make modules_install && make install && lilo -D 2.6.15.2 && init 6;

sh NVIDIA-Linux-x86_64-1.0-8178-pkg2.run --extract-only;
cd NVIDIA-Linux-x86_64-1.0-8178-pkg2 && make install;

pavlinux is offline   Reply With Quote
Old 02-05-06, 08:01 AM   #4
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: Unable to build nvidia module for 2.6.15.1

@zbyszek: it's not clear to me what led to this problem; did you build kernel kernel with a seperate output directory, cleaned the kernel source tree and then replaced the .config file in the kernel source, rather than the output directory?

@pavlinux: using the top-level Makefile to install the NVIDIA Linux graphics driver is not recommended, as it won't install all files and may install others in the wrong location; the Makefile will no longer be shipped with future releases of the driver.
zander is offline   Reply With Quote
Old 02-07-06, 02:22 AM   #5
zbyszek
Registered User
 
Join Date: Apr 2003
Posts: 4
Default Re: Unable to build nvidia module for 2.6.15.1

[quote=zander]@zbyszek: it's not clear to me what led to this problem; did you build kernel kernel with a seperate output directory, cleaned the kernel source tree and then replaced the .config file in the kernel source, rather than the output directory?]

I have built the kernel in the kernel source tree, installed modules, copied kernel
and System.map to /boot, adjusted lilo.conf, executed lilo, rebooted with the new
kernel, extracted mentioned nvidia driver with the --extract-only argument
in /root/tmp and run nvidia-installer -n in the /root/tmp/NVIDIA-Linux-x86-1.0-8178-pkg1.

The installer shows a progress bar to about 23% and stops with the error message
"Unable to build the NVIDIA kernel module".

Then there is this part in the nvidia-installer.log produced by the prepare3 section
of the kernel's Makefile due to the presence of .config. As you can see in the logs
this section complains that the source tree is not clean and recommends mrproper.
Of course, if mrproper is applied, the installer will die earlier due to missing include/linux/version.h.
If just .config is removed that "no leadable module support" error pops up.

Would like to know what's wrong before I go postal.

Thank you zander!

zbyszek
zbyszek is offline   Reply With Quote
Old 02-07-06, 02:25 AM   #6
zbyszek
Registered User
 
Join Date: Apr 2003
Posts: 4
Default Re: Unable to build nvidia module for 2.6.15.1

Mr. Proper makes things worse. See my answer to zander.
zbyszek is offline   Reply With Quote
Old 02-07-06, 08:53 AM   #7
ghostwalker
Registered User
 
Join Date: Sep 2003
Location: Tacoma, WA
Posts: 76
Default Re: Unable to build nvidia module for 2.6.15.1

Apply the patches http://www.nvnews.net/vbulletin/showthread.php?t=62021 from here.
__________________
P4 2.8Ghz @ 2.8Ghz SL6WT
Zalman CNPS7000-Cu
865PE Neo-2 LS BIOs 2.4
512mb Mushkin Level II 256x2
160GB Maxtor HD
Geforce 4 440
Antec 3700 1 exhaust and 1 intake fans
Linux 2.6.x ArchLinux
ghostwalker is offline   Reply With Quote
Old 02-07-06, 11:56 AM   #8
zbyszek
Registered User
 
Join Date: Apr 2003
Posts: 4
Default Re: Unable to build nvidia module for 2.6.15.1

Quote:
Originally Posted by ghostwalker
Applied all the patches except U0012206 (which I did before). The result is exactly as in my
original post.

Must have done something nasty in my previous life .

Cheers!
zbyszek is offline   Reply With Quote

Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
nvidia + 2.4.19 gentoo = messed up ulukay NVIDIA Linux 18 11-01-02 11:58 PM
X Failed to load NVdriver c00lr4c3r NVIDIA Linux 13 10-22-02 01:44 PM
Error messages... HELP!!!! Imperito NVIDIA Linux 3 09-24-02 10:46 PM
GForce drivers installed...but dont work tomfullery NVIDIA Linux 6 09-22-02 08:23 AM
Need help to get the X to work on my Acer TravelMate 630 knchee NVIDIA Linux 16 09-19-02 10:16 PM

All times are GMT -5. The time now is 11:44 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.